Name:              torsocks
Version:           2.4.0
Release:    1%{?dist}

Summary:           Use SOCKS-friendly applications with Tor
License:           GPLv2+
URL:               https://gitweb.torproject.org/torsocks.git

Source0:           https://gitlab.torproject.org/tpo/core/%{name}/-/archive/v2.4.0/%{name}-v%{version}.tar.gz

Patch0:            %{name}-2.2.0-Do-not-run-tests-that-require-network-access.patch
Patch1:            torsocks-c99.patch
BuildRequires: make
BuildRequires: gcc
BuildRequires: automake
BuildRequires: libtool

%description
Torsocks allows you to use most SOCKS-friendly applications in a safe way
with Tor. It ensures that DNS requests are handled safely and explicitly
rejects UDP traffic from the application you're using.


%prep
%autosetup -n %{name}-v%{version} -p1

%build
./autogen.sh
%configure
%make_build


%install
%make_install

rm -f %{buildroot}%{_libdir}/torsocks/libtorsocks.{a,la}*
rm -fr %{buildroot}%{_datadir}/doc/torsocks

install -p -D -m0644 extras/torsocks-bash_completion \
    %{buildroot}%{_sysconfdir}/bash_completion.d/torsocks


%check
pushd tests/
make check-am
popd


%files
%doc ChangeLog doc/notes/DEBUG doc/socks/socks-extensions.txt
%license gpl-2.0.txt
%{_bindir}/torsocks
%{_mandir}/man1/torsocks.1*
%{_mandir}/man5/torsocks.conf.5*
%{_mandir}/man8/torsocks.8*
%dir %{_libdir}/torsocks
%{_libdir}/torsocks/libtorsocks.so
%{_libdir}/torsocks/libtorsocks.so.0*
%config(noreplace) %{_sysconfdir}/bash_completion.d/torsocks
%config(noreplace) %{_sysconfdir}/tor/torsocks.conf


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-1
- initial build
